Name: lyskom-elisp-client
Summary: The LysKOM Emacs Lisp Client.
Version: 0.47.1
Release: 1
Requires: emacs >= 20.5
BuildRequires: emacs >= 20.5
BuildArchitectures: noarch
URL: http://www.lysator.liu.se/lyskom/
Source0: lyskom-elisp-client-all-%{version}.tar.bz2
License: GPL
Group: Applications/Internet
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-root
Packager: C C Magnus Gustavsson <http://magnus.gustavsson.se/>

%description
LysKOM is a project in progress at the Lysator Academic Computing
Society at Linkping University in Sweden. For information about
Lysator, see <URL:http://www.lysator.liu.se/>. For more information
on LysKOM, see <URL:http://www.lysator.liu.se/lyskom/>.

%prep
%setup -q -n lyskom-elisp-client-all-%{version}

%build
emacs -batch -f batch-byte-compile lyskom-all-%{version}.el

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp \
  $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp/site-start.d
install -m 644 lyskom-all-%{version}.elc \
  $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp/lyskom.elc
echo "(autoload 'lyskom \"lyskom\" \"Start LysKOM\" t)" > \
  $RPM_BUILD_ROOT%{_prefix}/share/emacs/site-lisp/site-start.d/lyskom-init.el

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING NEWS-*

%{_prefix}/share/emacs/site-lisp/lyskom.elc
%{_prefix}/share/emacs/site-lisp/site-start.d/lyskom-init.el

